Skip to main content
Voice design

Query a voice

Returns details about a specific voice.

POST
/services/audio/tts/customization
cURL
curl --request POST \
  --url 'https://dashscope-intl.aliyuncs.com/api/v1/services/audio/tts/customization' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "qwen-voice-design",
  "input": {
    "action": "query",
    "voice": "<string>"
  }
}
'
{
  "output": {
    "voice": "qwen-tts-vd-announcer-voice-20251210145409-a1b2",
    "target_model": "qwen3-tts-vd-realtime-2026-01-15",
    "language": "en",
    "voice_prompt": "A composed middle-aged male announcer with a deep, rich and magnetic voice.",
    "preview_text": "Dear listeners, hello everyone.",
    "gmt_create": "2025-12-10 14:54:09",
    "gmt_modified": "2025-12-10 17:47:48"
  },
  "usage": {},
  "request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Authorizations

string
header
required

DashScope API key. Get one at API key.

Body

application/json
enum<string>
required

Voice design model. Fixed to qwen-voice-design.

qwen-voice-design
qwen-voice-design
object
required

Response

200-application/json
object
object

Usage info (empty for query operations).

string

Request ID for troubleshooting.

xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx